LegalStack

Подписание

Электронные подписи: запросы, проверка, отзыв.

Создать запрос на подпись

POST
/api/v1/signatures
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X POST "https://loading/api/v1/signatures" \  -H "Content-Type: application/json" \  -d '{    "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",    "documentTitle": "string",    "participants": [      {        "email": "user@example.com",        "userId": "string",        "userName": "string"      }    ]  }'
{
  "completedAt": "string",
  "createdAt": "string",
  "createdBy": "string",
  "deadline": "string",
  "documentId": "string",
  "documentTitle": "string",
  "id": "string",
  "message": "string",
  "participants": [
    {
      "email": "string",
      "method": "string",
      "order": 0,
      "status": "string",
      "userId": "string",
      "userName": "string",
      "property1": null,
      "property2": null
    }
  ],
  "status": "string",
  "type": "string",
  "property1": null,
  "property2": null
}

Входящие запросы на подпись

GET
/api/v1/signatures/inbox
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X GET "https://loading/api/v1/signatures/inbox"
[
  {
    "completedAt": "string",
    "createdAt": "string",
    "createdBy": "string",
    "deadline": "string",
    "documentId": "string",
    "documentTitle": "string",
    "id": "string",
    "message": "string",
    "participants": [
      {
        "email": "string",
        "method": "string",
        "order": 0,
        "status": "string",
        "userId": "string",
        "userName": "string",
        "property1": null,
        "property2": null
      }
    ],
    "status": "string",
    "type": "string",
    "property1": null,
    "property2": null
  }
]

Отправленные запросы на подпись

GET
/api/v1/signatures/sent
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X GET "https://loading/api/v1/signatures/sent"
[
  {
    "completedAt": "string",
    "createdAt": "string",
    "createdBy": "string",
    "deadline": "string",
    "documentId": "string",
    "documentTitle": "string",
    "id": "string",
    "message": "string",
    "participants": [
      {
        "email": "string",
        "method": "string",
        "order": 0,
        "status": "string",
        "userId": "string",
        "userName": "string",
        "property1": null,
        "property2": null
      }
    ],
    "status": "string",
    "type": "string",
    "property1": null,
    "property2": null
  }
]

Получить запрос на подпись

GET
/api/v1/signatures/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

curl -X GET "https://loading/api/v1/signatures/string"
{
  "completedAt": "string",
  "createdAt": "string",
  "createdBy": "string",
  "deadline": "string",
  "documentId": "string",
  "documentTitle": "string",
  "id": "string",
  "message": "string",
  "participants": [
    {
      "email": "string",
      "method": "string",
      "order": 0,
      "status": "string",
      "userId": "string",
      "userName": "string",
      "property1": null,
      "property2": null
    }
  ],
  "status": "string",
  "type": "string",
  "property1": null,
  "property2": null
}

Переименовать запрос на подпись

PATCH
/api/v1/signatures/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X PATCH "https://loading/api/v1/signatures/string" \  -H "Content-Type: application/json" \  -d '{    "documentTitle": "string"  }'
{
  "completedAt": "string",
  "createdAt": "string",
  "createdBy": "string",
  "deadline": "string",
  "documentId": "string",
  "documentTitle": "string",
  "id": "string",
  "message": "string",
  "participants": [
    {
      "email": "string",
      "method": "string",
      "order": 0,
      "status": "string",
      "userId": "string",
      "userName": "string",
      "property1": null,
      "property2": null
    }
  ],
  "status": "string",
  "type": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Удалить запрос на подпись

DELETE
/api/v1/signatures/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

curl -X DELETE "https://loading/api/v1/signatures/string"
{
  "success": true
}

Список комментариев к подписанию

GET
/api/v1/signatures/{id}/comments
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/string/comments"
[
  {
    "authorName": "string",
    "createdAt": "string",
    "id": "string",
    "text": "string",
    "property1": null,
    "property2": null
  }
]
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Добавить комментарий (инициатор)

POST
/api/v1/signatures/{id}/comments
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/string/comments" \  -H "Content-Type: application/json" \  -d '{    "text": "string"  }'
{
  "authorName": "string",
  "createdAt": "string",
  "id": "string",
  "text": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Получить документ для предпросмотра (актуальный или подписанный snapshot)

GET
/api/v1/signatures/{id}/document
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/string/document"
{
  "blocks": [
    {
      "indentLevel": 0,
      "label": "string",
      "number": "string",
      "text": "string",
      "type": "string"
    }
  ],
  "signings": [
    {
      "documentSnapshotHash": "string",
      "evidence": null,
      "id": "string",
      "method": "string",
      "shortId": "string",
      "signedAt": "string",
      "signerEmail": "string",
      "signerName": "string",
      "status": "string"
    }
  ],
  "source": "frozen-request",
  "title": "string"
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Дублировать запрос на подпись

POST
/api/v1/signatures/{id}/duplicate
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

curl -X POST "https://loading/api/v1/signatures/string/duplicate"
{
  "completedAt": "string",
  "createdAt": "string",
  "createdBy": "string",
  "deadline": "string",
  "documentId": "string",
  "documentTitle": "string",
  "id": "string",
  "message": "string",
  "participants": [
    {
      "email": "string",
      "method": "string",
      "order": 0,
      "status": "string",
      "userId": "string",
      "userName": "string",
      "property1": null,
      "property2": null
    }
  ],
  "status": "string",
  "type": "string",
  "property1": null,
  "property2": null
}

Экспорт PDF для конкретного запроса подписания (snapshot + signings ЭТОГО request)

GET
/api/v1/signatures/{id}/export/pdf
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/pdf

application/problem+json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/string/export/pdf"
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Отклонить подпись

POST
/api/v1/signatures/{id}/reject
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

reason?string

Причина отказа от подписания

Тело ответа

application/json

curl -X POST "https://loading/api/v1/signatures/string/reject" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true
}

Отправить напоминание подписанту

POST
/api/v1/signatures/{id}/remind
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

curl -X POST "https://loading/api/v1/signatures/string/remind"
{
  "success": true
}

Отозвать подпись

POST
/api/v1/signatures/{id}/revoke
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

reason?string

Причина отзыва подписания

Тело ответа

application/json

curl -X POST "https://loading/api/v1/signatures/string/revoke" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true
}

Отправить OTP-код подписанту

POST
/api/v1/signatures/{id}/send-otp
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/string/send-otp"
{
  "channel": "string",
  "sent": true
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Подписать документ

POST
/api/v1/signatures/{id}/sign
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/string/sign" \  -H "Content-Type: application/json" \  -d '{    "method": "ar_sign"  }'
{
  "completedAt": "string",
  "createdAt": "string",
  "createdBy": "string",
  "deadline": "string",
  "documentId": "string",
  "documentTitle": "string",
  "id": "string",
  "message": "string",
  "participants": [
    {
      "email": "string",
      "method": "string",
      "order": 0,
      "status": "string",
      "userId": "string",
      "userName": "string",
      "property1": null,
      "property2": null
    }
  ],
  "status": "string",
  "type": "string",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Получить snapshot документа для подписи

GET
/api/v1/signatures/{id}/snapshot-to-sign
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X GET "https://loading/api/v1/signatures/string/snapshot-to-sign"
{
  "contentBase64": "string",
  "contentHash": "string"
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}

Загрузить видео верификации

POST
/api/v1/signatures/{id}/verification
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Идентификатор подписания

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

application/problem+json

curl -X POST "https://loading/api/v1/signatures/string/verification" \  -F video="string"
{
  "uploaded": true
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}